import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'cubit/factory_settings_index_cubit.dart';
import 'widgets/factory_settings_panel.dart';

class FactorySettingsIndexView extends StatelessWidget {
  const FactorySettingsIndexView({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (_) => FactorySettingsIndexCubit(),
      child: const FactorySettingsPanel(),
    );
  }
}
